I can't update to R version 4

I have downloaded the latest version of R and I have tried to run code in Jupyter notebook that will update.My code and the output below:

`# installing/loading the latest installr package:
install.packages("installr"); library(installr) # install+load installr
updateR() # updating R.'

Output I get: Warning message: "package 'installr' is in use and will not be installed" Error in winDialog(type = "ok", message = message_text): winDialog() cannot be used non-interactively Traceback:

  1. updateR()
  2. check.for.updates.R(print_R_versions, GUI = GUI, page_with_download_url = paste0(cran_mirror, . "bin/windows/base/"))
  3. winDialog(type = "ok", message = message_text)
  4. stop("winDialog() cannot be used non-interactively")

When I type: 'install.packages("installr")

library(installr)

updateR()'

I get the following message:

'package 'installr' successfully unpacked and MD5 sums checked

The downloaded binary packages are in C:\Users\tadhg\AppData\Local\Temp\RtmpkFhJyM\downloaded_packages Warning message: "package 'installr' was built under R version 3.6.3" Welcome to installr version 0.23.2

More information is available on the installr project website: https://github.com/talgalili/installr/

Contact: tal.galili@gmail.com Suggestions and bug-reports can be submitted at: https://github.com/talgalili/installr/issues

        To suppress this message use:
        suppressPackageStartupMessages(library(installr))

Error in winDialog(type = "ok", message = message_text): winDialog() cannot be used non-interactively Traceback:

  1. updateR()
  2. check.for.updates.R(print_R_versions, GUI = GUI, page_with_download_url = paste0(cran_mirror, . "bin/windows/base/"))
  3. winDialog(type = "ok", message = message_text)
  4. stop("winDialog() cannot be used non-interactively") '
How many English words
do you know?
Test your English vocabulary size, and measure
how many words do you know
Online Test
Powered by Examplum